
TYPO3.Flow - Bug # 6620

Status: Resolved Priority: Should have
Author: Thomas Fritz Category: Cache
Created: 2010-02-26 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: ./flow3 cache flush throws Exception in "..../Cache/Backend/FileBackend.php line 197"
Description

developer@wda ~ $ ./flow3 cache flush

Uncaught Exception in FLOW3 #1: Warning: Invalid argument supplied for foreach() in
/home/developer/vhosts/flow3/www/Packages/Framework/FLOW3/Classes/Cache/Backend/FileBackend.php line 197
thrown in file Packages/Framework/FLOW3/Classes/Error/ErrorHandler.php
in line 82

Associated revisions
Revision 84315748 - 2010-03-04 17:00 - Karsten Dambekalns

[+BUGFIX] FLOW3 (Cache): findTagFilesByEntry() now returns an array even if glob() fails. Fixes #6620.

History
#1 - 2010-02-26 16:24 - Thomas Fritz
- File bug_6620.diff added

#2 - 2010-03-04 16:39 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Priority changed from Must have to Should have
- Target version set to 1.0 alpha 8

Well, glob() usually returns an array, so it seems something with your cache's file structure went wrong. Anyway, I'd rather fix this so that 
findTagFilesByEntry() always returns an array, even if glob() fails.

#3 - 2010-03-04 18:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r3906.

Files
bug_6620.diff 761 Bytes 2010-02-26 Thomas Fritz
